メインコンテンツへスキップ
POST
/
communication-preferences
/
v3
/
subscribe
コンタクトを配信登録
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v3/subscribe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "<string>",
  "subscriptionId": "<string>",
  "legalBasis": "CONSENT_WITH_NOTICE",
  "legalBasisExplanation": "<string>"
}
'
{
  "description": "<string>",
  "id": "<string>",
  "name": "<string>",
  "sourceOfStatus": "BRAND_WIDE_STATUS",
  "status": "NOT_SUBSCRIBED",
  "brandId": 123,
  "legalBasis": "CONSENT_WITH_NOTICE",
  "legalBasisExplanation": "<string>",
  "preferenceGroupName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
emailAddress
string
必須

コンタクトのEメールアドレス。

subscriptionId
string
必須

コンタクトについて更新される配信登録のID。

コンタクトのステータスを更新する法的根拠(GDPR対応のポータルに必要)。

利用可能なオプション:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

法的根拠に付随するより詳細な説明(GDPR対応のポータルに必要)。

レスポンス

successful operation

description
string
必須

配信登録の説明。

id
string
必須

配信登録のID。

name
string
必須

配信登録の名前。

sourceOfStatus
enum<string>
必須

コンタクトがポータルからオプトアウトした場合にステータスが判断される根拠(例えば、PORTAL_WIDE_STATUS)。

利用可能なオプション:
BRAND_WIDE_STATUS,
PORTAL_WIDE_STATUS,
SUBSCRIPTION_STATUS
status
enum<string>
必須

コンタクトが配信登録されているかどうか。

利用可能なオプション:
NOT_SUBSCRIBED,
SUBSCRIBED
brandId
integer<int64>

配信登録が関連付けられているブランドのID(ある場合)。

配信登録の現在のステータスの法的理由。

利用可能なオプション:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

法的根拠に付随するより詳細な説明。

preferenceGroupName
string

配信登録が関連付けられている設定グループの名前。

Last modified on April 13, 2026